Unit iib8e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, IIS8E_p, IDS8E_p;

procedure iib8e(var X1A :Array of Extended; var X2A :Array of Extended;
                var YA :Array of Extended; var Y2A :Array of Extended;
                M :Integer; N :Integer; X1 :Extended;
                X2 :Extended; var Y :Extended;
                var YT :Array of Extended; var Y2T :Array of Extended;
                var YYT :Array of Extended; var U :Array of Extended);

implementation

procedure iib8e(var X1A :Array of Extended; var X2A :Array of Extended;
                var YA :Array of Extended; var Y2A :Array of Extended;
                M :Integer; N :Integer; X1 :Extended;
                X2 :Extended; var Y :Extended;
                var YT :Array of Extended; var Y2T :Array of Extended;
                var YYT :Array of Extended; var U :Array of Extended);
var
J,K,IERR :Integer;
R :Extended;
const
SYS071 :Extended = 1.34078079e155;
label
_10,_20,_30;
begin
IERR := 0;
R := 2*SYS071;
for J:=1 to M do
 begin
  for K:=1 to N do
   begin
    YT[K-1] := YA[(J-1)+(K-1)*M];
    Y2T[K-1] := Y2A[(J-1)+(K-1)*M];
_10:
   end;
  IIS8E(X2A,YT,Y2T,N,X2,YYT[J-1],IERR);
  if ( IERR <> 0 )
   then goto _30;
_20:
 end;
IDS8E(X1A,YYT,M,R,R,Y2T,U);
IIS8E(X1A,YYT,Y2T,M,X1,Y,IERR);
_30:
end;

end.
